Bug 133739 - under text mode only english avaliable
under text mode only english avaliable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-26 23:10 EDT by Wei-Lun Chao
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wei-Lun Chao 2004-09-26 23:10:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.3)
Gecko/20040922

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
LANG=de up2date --help

Actual Results:  english help

Expected Results:  german help

Additional info:
Comment 1 Ronny Buchmann 2004-10-06 18:28:35 EDT
I can confirm this. (This is already on FC2, maybe also earlier)
This problem happens with CLI and TUI.

I don't know, what the

--
py_bind_textdomain_codeset("redhat-dist", "UTF-8")
--

really does, but other tools have something like

--
import locale
from rhpl.translate import _, N_, textdomain_codeset
locale.setlocale(locale.LC_ALL, "")
textdomain_codeset("up2date", locale.nl_langinfo(locale.CODESET))
--

adding this to up2date works for me
Comment 2 Wei-Lun Chao 2005-05-18 02:17:09 EDT
also please remove:
/usr/share/locale/zh_TW.Big5/LC_MESSAGES/up2date.mo
/usr/share/locale/zh_CN.GB2312/LC_MESSAGES/up2date.mo

because there is already:
/usr/share/locale/zh_TW/LC_MESSAGES/up2date.mo
/usr/share/locale/zh_CN/LC_MESSAGES/up2date.mo
Comment 3 Chester Cheng 2005-05-18 19:42:34 EDT
Hi Adrian,

Could you remove the

/usr/share/locale/zh_TW.Big5/LC_MESSAGES/up2date.mo
/usr/share/locale/zh_CN.GB2312/LC_MESSAGES/up2date.mo

as Chao mentioned?

Thanks,
Chester
Comment 4 John Thacker 2006-10-29 09:38:29 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.